/******************************************************************************/
/*
                                  message.h
*/
/******************************************************************************/

#ifndef INCLUDE_MESSAGE_H
#define INCLUDE_MESSAGE_H

#include "request.h"

#define MESSAGE_PART_LINK "&nbsp;&nbsp;&#164;&#164;&#164;&nbsp;&nbsp;"

void MessageAttachments (REQUEST_DATA*);
int MessageBody (REQUEST_DATA*);
void MessageBodyButtons (REQUEST_DATA*);
MIME_DATA* MessageBodyIdentify (VMS_MAIL_MSG*, int);
int MessageCollapseLineBreaks (char*, int);
void MessageContentIdentify (REQUEST_DATA*);
void MessageCopy (REQUEST_DATA*, BOOL);
void MessageDelete (REQUEST_DATA*);
int MessageGet (REQUEST_DATA*);
void MessageHeader (REQUEST_DATA*);
void MessageHeaderButtons (REQUEST_DATA*);
int MessageIdList (REQUEST_DATA*);
void MessageFolderPage (REQUEST_DATA*);
int MessageHdrView (REQUEST_DATA*);
void MessageFolderList (REQUEST_DATA*);
int MessageLineCount (char*);
void MessageListFooter ();
void MessageListInit (REQUEST_DATA*);
int MessageMassage (char*);
BOOL MessagePart (REQUEST_DATA*);
void MessagePage (REQUEST_DATA*);
BOOL MessagePgpSigned (char*);
void MessagePageFolderRequest (REQUEST_DATA*);
void MessagePageMsgRequest (REQUEST_DATA*);
int MessagePrintView (REQUEST_DATA*);
int MessageRangeString (int, char*);
int MessageRawView (REQUEST_DATA*);
void MessageRangeSelect (REQUEST_DATA*);
int MessageRemovePgpSig (char*);

#endif /* INCLUDE_MESSAGE_H */

/******************************************************************************/

